FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104142050.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104142050.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=207a7e5 OS_GIT_VERSION=4.7.0-202104142050.p0-207a7e5 SOURCE_DATE_EPOCH=1611255837 SOURCE_GIT_COMMIT=207a7e5d80dbca3ffb2dc205ebba516e29ebaa6d SOURCE_GIT_TAG=207a7e5 SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
WORKDIR /go/src/github.com/openshift/mdns-publisher
COPY . .
RUN GO111MODULE=on go build --mod=vendor

FROM openshift/ose-base:v4.7.0.20210414.211818
ENV __doozer=update BUILD_RELEASE=202104142050.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104142050.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=207a7e5 OS_GIT_VERSION=4.7.0-202104142050.p0-207a7e5 SOURCE_DATE_EPOCH=1611255837 SOURCE_GIT_COMMIT=207a7e5d80dbca3ffb2dc205ebba516e29ebaa6d SOURCE_GIT_TAG=207a7e5 SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
COPY --from=builder /go/src/github.com/openshift/mdns-publisher/mdns-publisher /usr/bin/

ENTRYPOINT ["/usr/bin/mdns-publisher"]

LABEL \
        io.k8s.display-name="mDNS-publisher" \
        io.k8s.description="Configurable mDNS service publisher" \
        maintainer="Antoni Segura Puimedon <antoni@redhat.com>" \
        name="openshift/ose-mdns-publisher" \
        com.redhat.component="ose-mdns-publisher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="mDNS" \
        release="202104142050.p0" \
        io.openshift.build.commit.id="207a7e5d80dbca3ffb2dc205ebba516e29ebaa6d" \
        io.openshift.build.source-location="https://github.com/openshift/mdns-publisher" \
        io.openshift.build.commit.url="https://github.com/openshift/mdns-publisher/commit/207a7e5d80dbca3ffb2dc205ebba516e29ebaa6d" \
        version="v4.7.0"

